Subject: bug#53910: 29.0.50; context-menu-mode breaks help in read-only buffers

From: Juri Linkov <[email-masked]>
Date: Thu, 10 Feb 2022 20:58:13 +0200

close 53910 29.0.50
thanks

>> This is because of this line recently added to context-menu-map:
>>
>>   (select-window (posn-window (event-start click)))
>>
>> that switches buffers.
>>
>> But the question remains: does describe-map really need to build
>> the complete context menu or should it ignore its :filter keyword?
>
> Hm...  I don't know, but I don't think a call to `lookup-key' should
> result in a different buffer being selected in any case.

It was surprising that select-window invoked on the same selected window
switches the buffer to the originally displayed window-buffer.
Maybe Martin could explain this.

Anyway, this is fixed now by not calling select-window on the already
selected window.